//--------------------------------------------------------------
// File     : main.c
// Datum    : 13.02.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo der N95_8GB-Library
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_lcd_n95_8gb.h"

int main(void)
{
  uint16_t x,y;

  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom Display
  if(UB_LCD_Init()==SUCCESS) {
    // wenn Display-ID ok

	// Screen mit gruen fllen
    UB_LCD_FillScreen(RGB_COL_GREEN);

    // rote Linie zeichnen
    for(x=50;x<150;x++) {
      UB_LCD_DrawPixel(x,10,RGB_COL_RED);
    }

    // blaue Linie zeichnen
    for(y=50;y<150;y++) {
      UB_LCD_DrawPixel(10,y,RGB_COL_BLUE);
    }

    // BOX zeichnen
    for(y=50;y<150;y++) {
      for(x=50;x<150;x++) {
        UB_LCD_DrawPixel(x,y,RGB_COL_MAGENTA);
      }
    }
  }

  while(1)
  {

  }
}

